List terminal orders

View as MarkdownOpen in Claude
Use this method to return a [paginated](https://docs.payroc.com/api/pagination) list of terminal orders associated with a processing account. **Note:** If you want to view the details of a specific terminal order and you have its terminalOrderId, use our [Retrieve Terminal Order](https://docs.payroc.com/api/schema/boarding/terminal-orders/retrieve) method. Use the query parameters to filter the list of results that we return, for example, to search for terminal orders by their status. To list the terminal orders for a processing account, you need its processingAccountId. If you don't have the processingAccountId, use our [List Merchant Platforms](https://docs.payroc.com/api/schema/boarding/merchant-platforms/list) method to search for a merchant platform and its processing accounts. Our gateway returns the following information for each terminal order in the list: - Status of the order - Items in the order - Training provider - Shipping information For each terminal order, we also return its terminalOrderId, which you can use to perform follow-on actions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

processingAccountIdstringRequired
Unique identifier that we assigned to the processing account.

Query parameters

statusenumOptional
Filter terminal orders by status.
Allowed values:
fromDateTimedatetimeOptional
toDateTimedatetimeOptional

Response

Successful request. Returns a list of terminal orders associated with the processing account.
terminalOrderIdstring
Unique identifier that we assigned to the terminal order.
statusenum

Status of the terminal order.

Note: You can subscribe to our terminalOrder.status.changed event to get notifications when we update the status of a terminal order. For more information about how to subscribe to events, go to Event Subscriptions.

Allowed values:
orderItemslist of objects
Array of orderItem objects. Provide a minimum of 1 order item and a maximum of 20 order items.
createdDatedatetimeRead-only
Date that we received the terminal order. We return this value in the [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) format.
lastModifiedDatedatetimeRead-only
Date that the terminal order was last changed. We return this value in the [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) format.
trainingProviderenumDefaults to partner
Indicates who provides training to the merchant for the solution.
Allowed values:
shippingobject

Object that contains the shipping details for the terminal order. If you don’t provide a shipping address, we use the Doing Business As (DBA) address of the processing account.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
500
Internal Server Error